package database

data class LanguageLink(var index: UInt, var TAG: String, var Language: String){

    /**
     * Check if the LanguageLink object has non-empty TAG and Language fields.
     * @return true if both TAG and Language are not empty, false otherwise.
     */
    fun isNotEmpty() : Boolean {
        return TAG.isNotEmpty() && Language.isNotEmpty()

    }

    /**
     * Returns a string representation of the LanguageLink object.
     * @return A string in the format "LanguageLink(index=..., TAG='...', Language='...')".
     */
    override fun toString(): String {
        return "LanguageLink(index=$index, TAG='$TAG', Language='$Language')"
    }

}
